DISKARBITRATIOND(8)

NAME
diskarbitrationd - disk arbitration daemon

SYNOPSIS
diskarbitrationd [-d]

DESCRIPTION
diskarbitrationd listens for connections from clients, notifies clients of the appearance of disks and filesystems, and governs the mounting of filesystems and the claiming of disks amongst clients.

diskarbitrationd is accessed via the Disk Arbitration framework. This command is not intended to be invoked directly.

Options:

-d  Report detailed information in /var/log/diskarbitrationd.log.

The file /etc/fstab is consulted for user-defined mount points, indexed by filesystem, in the mount point determination for a filesystem. Each filesystem can be identified by its UUID or by its label, using the constructs ``UUID'' or ``LABEL'', respectively. For example:

    UUID=DF000C7E-AE0C-3B15-B730-DFD2EF15CB91 /export ufs   ro
    UUID=FAB060E9-79F7-33FF-BE85-E1D3ABD3EDEA none    hfs   rw,noauto
    LABEL=The\040Volume\040Name\040Is\040This none    msdos ro

FILES
/etc/fstab
/var/log/diskarbitrationd.log
/var/run/diskarbitrationd.pid
/System/Library/LaunchDaemons/com.apple.diskarbitrationd.plist

SEE ALSO
fstab(5)